Skip to main content
GET
/
api
/
v1
/
transfers
Transferleri listele
curl --request GET \
  --url https://transfer-sandbox.payven.com.tr/api/v1/transfers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "request_id": "<string>",
      "external_id": "<string>",
      "receipt_no": "<string>",
      "description": "<string>",
      "receiver_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "request_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "success_sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "fee_amount": 123,
      "scheduled_date": "2023-11-07T05:31:56Z",
      "processed_date": "2023-11-07T05:31:56Z",
      "validate_date": "2023-11-07T05:31:56Z",
      "sent_date": "2023-11-07T05:31:56Z",
      "retry_count": 123,
      "receiver_account": {
        "extra_properties_dict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "holder_name": "<string>",
        "description": "<string>",
        "account_number": "<string>",
        "iban": "<string>",
        "masked_card_no": "<string>",
        "card_token": "<string>",
        "bank_name": "<string>",
        "bank_code": "<string>"
      },
      "request_sender_connector_account": {
        "extra_properties_dict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "holder_name": "<string>",
        "description": "<string>",
        "account_number": "<string>",
        "iban": "<string>",
        "masked_card_no": "<string>",
        "card_token": "<string>",
        "connector_configuration_name": "<string>",
        "connector_name": "<string>",
        "connector_code": "<string>",
        "bank_name": "<string>",
        "bank_code": "<string>"
      },
      "success_sender_connector_account": {
        "extra_properties_dict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "holder_name": "<string>",
        "description": "<string>",
        "account_number": "<string>",
        "iban": "<string>",
        "masked_card_no": "<string>",
        "card_token": "<string>",
        "connector_configuration_name": "<string>",
        "connector_name": "<string>",
        "connector_code": "<string>",
        "bank_name": "<string>",
        "bank_code": "<string>"
      }
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
search_term
string
status
enum<string>
Available options:
Pending,
Approved,
Rejected,
Processing,
Delivered,
Completed,
Failed,
Refunded
transfer_type
enum<string>
Available options:
EFT,
Fast,
Remittance,
CreditCard
connector_account_id
string<uuid>
receiver_account_id
string<uuid>
from_date
string<date-time>
to_date
string<date-time>
min_amount
integer<int64>
max_amount
integer<int64>

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only